import 'package:car_provider_app/config/routes.dart';
import 'package:car_provider_app/generated/locale_keys.g.dart';
import 'package:car_provider_app/utils/navigator.dart';
import 'package:car_provider_app/utils/utils.dart';
import 'package:car_provider_app/widgets/app_bar.dart';
import 'package:car_provider_app/widgets/extensions/int_extensions.dart';
import 'package:car_provider_app/widgets/extensions/string_extensions.dart';
import 'package:car_provider_app/widgets/button/show_fill_button.dart';
import 'package:car_provider_app/widgets/txt_field.dart';
import 'package:easy_localization/src/public_ext.dart';
import 'package:flutter/material.dart';

class Profile2Page extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: appBar(context,title: LocaleKeys.signUp.tr()),
      body: Container(
        width: double.infinity,
        height: double.infinity,
        child: SingleChildScrollView(
          child: Padding(
            padding: EdgeInsets.all(40),
            child: Column(
              children: [
                LocaleKeys.completeProfile2.tr().toText16(),
                LocaleKeys.licensesAndCertifications.tr().toText14(),
                12.height,
                TxtField(
                  hint: "Commercial Record N.O",
                  // isButtonEnable: true,
                  isNeedFilterButton: true,
                  postfixData: Icons.attach_file,
                ),
                12.height,
                TxtField(
                  hint: "Chamber of Commerce N.O",
                  isNeedFilterButton: true,
                  postfixData: Icons.attach_file,
                ),
                12.height,
                TxtField(
                  hint: "VET Certificate N.O",
                  isNeedFilterButton: true,
                  postfixData: Icons.attach_file,
                ),
                30.height,
                ShowFillButton(
                  title: LocaleKeys.save.tr(),
                  maxWidth: double.infinity,
                  onPressed: () {
                    navigateWithName(context, AppRoutes.profile3);
                  },
                ),
              ],
            ),
          ),
        ),
      ),
    );
  }
}
